Analysis
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Analysis

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Analysis

    public class Analysis

extends DataModel

Constructor Summary
`Analysis()`
`Analysis(java.util.List<Field> row)`
`Analysis(org.gcube.application.aquamaps.datamodel.Analysis stubs)`
`Analysis(java.sql.ResultSet rs)`

Method Summary
`void` | `addPerformedAnalysis(AnalysisType toAdd)`
`void` | `addReportId(java.lang.Integer id)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getArchiveLocation()`
`java.lang.String` | `getAuthor()`
`java.lang.Double` | `getCurrentphasepercent()`
`java.lang.String` | `getDescription()`
`java.lang.Long` | `getEndtime()`
`Field` | `getField(AnalysisFields fieldName)`
`java.lang.String` | `getId()`
`java.util.ArrayList<AnalysisType>` | `getPerformedAnalysis()`
`java.util.ArrayList<java.lang.Integer>` | `getReportID()`
`java.util.ArrayList<java.lang.Integer>` | `getSources()`
`java.lang.Long` | `getStarttime()`
`SubmittedStatus` | `getStatus()`
`java.lang.Long` | `getSubmissiontime()`
`java.lang.String` | `getTitle()`
`java.util.ArrayList<AnalysisType>` | `getType()`
`int` | `hashCode()`
`static java.util.ArrayList<Analysis>` | `loadResultSet(java.sql.ResultSet rs)`
`void` | `removeReportId(java.lang.Integer id)`
`void` | `setArchiveLocation(java.lang.String archiveLocation)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setCurrentphasepercent(java.lang.Double currentphasepercent)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEndtime(java.lang.Long endtime)`
`boolean` | `setField(Field f)`
`void` | `setId(java.lang.String id)`
`void` | `setPerformedAnalysis(java.util.ArrayList<AnalysisType> performedAnalysis)`
`void` | `setPerformedAnalysis(java.util.List<java.lang.String> toSet)`
`void` | `setReportID(java.util.List<java.lang.Integer> reportID)`
`void` | `setSources(java.util.List<java.lang.Integer> sources)`
`void` | `setStarttime(java.lang.Long starttime)`
`void` | `setStatus(SubmittedStatus status)`
`void` | `setSubmissiontime(java.lang.Long submissiontime)`
`void` | `setTitle(java.lang.String title)`
`void` | `setType(java.util.ArrayList<AnalysisType> type)`
`void` | `setType(java.util.List<java.lang.String> typeStrings)`
`java.util.List<Field>` | `toRow()`
`org.gcube.application.aquamaps.datamodel.Analysis` | `toStubsVersion()`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Analysis

    public Analysis()

### Analysis

    public Analysis(java.sql.ResultSet rs)
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

### Analysis

    public Analysis(java.util.List<Field> row)

### Analysis

    public Analysis(org.gcube.application.aquamaps.datamodel.Analysis stubs)

Method Detail

### loadResultSet

    public static java.util.ArrayList<Analysis> loadResultSet(java.sql.ResultSet rs)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setField

    public boolean setField(Field f)
                     throws JSONException

  Throws:
    `JSONException`

### getField

    public Field getField(AnalysisFields fieldName)
                   throws JSONException

  Throws:
    `JSONException`

### toRow

    public java.util.List<Field> toRow()
                                throws JSONException

  Throws:
    `JSONException`

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getStatus

    public SubmittedStatus getStatus()

### setStatus

    public void setStatus(SubmittedStatus status)

### getSubmissiontime

    public java.lang.Long getSubmissiontime()

### setSubmissiontime

    public void setSubmissiontime(java.lang.Long submissiontime)

### getEndtime

    public java.lang.Long getEndtime()

### setEndtime

    public void setEndtime(java.lang.Long endtime)

### getStarttime

    public java.lang.Long getStarttime()

### setStarttime

    public void setStarttime(java.lang.Long starttime)

### getCurrentphasepercent

    public java.lang.Double getCurrentphasepercent()

### setCurrentphasepercent

    public void setCurrentphasepercent(java.lang.Double currentphasepercent)

### getReportID

    public java.util.ArrayList<java.lang.Integer> getReportID()

### setReportID

    public void setReportID(java.util.List<java.lang.Integer> reportID)

### getType

    public java.util.ArrayList<AnalysisType> getType()

### addReportId

    public void addReportId(java.lang.Integer id)

### removeReportId

    public void removeReportId(java.lang.Integer id)

### setType

    public void setType(java.util.ArrayList<AnalysisType> type)

### setType

    public void setType(java.util.List<java.lang.String> typeStrings)

### getArchiveLocation

    public java.lang.String getArchiveLocation()

### setArchiveLocation

    public void setArchiveLocation(java.lang.String archiveLocation)

### getSources

    public java.util.ArrayList<java.lang.Integer> getSources()

### setSources

    public void setSources(java.util.List<java.lang.Integer> sources)

### setPerformedAnalysis

    public void setPerformedAnalysis(java.util.ArrayList<AnalysisType> performedAnalysis)

### getPerformedAnalysis

    public java.util.ArrayList<AnalysisType> getPerformedAnalysis()

### setPerformedAnalysis

    public void setPerformedAnalysis(java.util.List<java.lang.String> toSet)

### addPerformedAnalysis

    public void addPerformedAnalysis(AnalysisType toAdd)

### toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Analysis toStubsVersion()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD